# Get Task Comments Summary

Retrieve a cursor based paginated list of comments for a specific execution task

Endpoint: GET /rmg/api/orchestration/execution/task/{taskExecutionId}/comment/summary
Version: 1.0
Security: x-api-key

## Path parameters:

  - `taskExecutionId` (string, required)
    ID of the execution task

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Query parameters:

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

  - `cursor` (string)
    Cursor Based Pagination

  - `limit` (number)
    The number of records expected

## Response 200 fields (application/json):

  - `comments` (array, required)
    List of task comments

  - `comments.commentId` (string, required)
    UUID of the comment

  - `comments.comment` (string, required)
    The comment text

  - `comments.commentedBy` (object, required)

  - `comments.commentedBy.name` (string, required)
    Name of the person who approved the step.

  - `comments.commentedBy.email` (string, required)
    Email of the person who approved the step.

  - `comments.createdAt` (integer, required)
    Unix timestamp when the comment was created

  - `comments.lastUpdatedAt` (integer, required)
    Unix timestamp when the comment was last updated

  - `comments.isEdited` (boolean, required)
    Whether the comment has been edited since creation

  - `nextRequest` (object, required)

  - `nextRequest.cursor` (string)

  - `nextRequest.limit` (integer)

  - `last` (boolean, required)
    Whether this is the last page of results

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


